Bug 1125241 - Cannot specify initial Organization or Location via Katello installer
Summary: Cannot specify initial Organization or Location via Katello installer
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1119934 1126145
TreeView+ depends on / blocked
 
Reported: 2014-07-31 12:05 UTC by Eric Helms
Modified: 2017-02-23 21:09 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-12 05:12:10 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 5029 None None None 2016-04-22 15:14 UTC

Description Eric Helms 2014-07-31 12:05:10 UTC
Changes in the Katello installer post-enginification have resulted in the specification of initial seed data by a user being broken. This issue will requires updates to the Katello puppet module and the mechanism by which the seed script extracts those values.

Comment 1 Eric Helms 2014-07-31 12:05:11 UTC
Created from redmine issue http://projects.theforeman.org/issues/5029

Comment 2 Eric Helms 2014-07-31 12:05:13 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 5 Bryan Kearney 2014-07-31 14:04:58 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5029 has been closed

Comment 6 Eric Helms 2014-07-31 18:09:04 UTC
Installer portion - https://github.com/Katello/katello-installer/pull/93

Comment 7 Jason Montleon 2014-08-04 18:01:05 UTC
Moving back to assigned. This has no been merged into upstream katello-installer yet.

Comment 11 Tazim Kolhar 2014-10-17 08:37:42 UTC
VERIFIED

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

# rpm -qa | grep foreman
foreman-release-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-gce-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-postgresql-1.7.0-0.develop.201410150839gitb948163.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-vmware-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch


# katello-installer -d -v --foreman-initial-organization acme_corp --foreman-initial-location acme_loc
 Success!
  * Katello is running at https://qe-foreman-rhel65.usersys.redhat.com
      Initial credentials are admin / xNgEYdtMfZD2rvQw
  * Capsule is running at https://qe-foreman-rhel65.usersys.redhat.com:9090
  * To install additional capsule on separate machine continue by running:"

      capsule-certs-generate --capsule-fqdn "$CAPSULE" --certs-tar "~/$CAPSULE-certs.tar"

  The full log is at /var/log/katello-installer/katello-installer.log
[ INFO 2014-10-17 04:36:14 verbose] All hooks in group post finished

Comment 12 Bryan Kearney 2015-08-11 13:37:28 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:12:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.